import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getSlaughtersKillRequestService = createAsyncThunk(
  "GET_SLAUGHTERS_KILL_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_request/?role=ProvinceOperator",
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
